/**
 * @packageDocumentation
 * @module utils
 */
import { ChangeDetectorRef, OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { FeatureGateService } from './feature-gate.service';
/**
 * @example
 * ```
 * <ng-container *aclFeatureGate="gate-name"></ng-container>
 * ```
 */
export declare class FeatureGateDirective implements OnInit, OnDestroy {
    private readonly container;
    private readonly featureGate;
    private readonly crd;
    featureName: string;
    cluster: string;
    set then(templateRef: TemplateRef<void>);
    set else(templateRef: TemplateRef<void>);
    private thenTemplateRef;
    private elseTemplateRef;
    private subscription;
    constructor(container: ViewContainerRef, featureGate: FeatureGateService, crd: ChangeDetectorRef, templateRef: TemplateRef<void>);
    /** @ignore */
    ngOnInit(): void;
    /** @ignore */
    ngOnDestroy(): void;
}
